# Get Special Service Requests (SSR) for a Category

Returns the list of Special Service Requests (SSR) for a selected category.
Every `category` type can contain multiple service requests.
For example, the `category: MEAL` includes service requests such as a vegetarian meal, baby/infant meal,
gluten free meal, and so on. These service requests are displayed as `subCategory` fields within the `category: MEAL`.
To learn more about a selected category such as its `subCategory` values, category code, and other relevant
information, run this API using the `category` type as the query parameter.

Endpoint: GET /v2/air/special-service-requests/categories
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Query parameters:

  - `category` (string, required)
    The category type of a Special Service Request (SSR).

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `specialServiceRequests` (array)

  - `specialServiceRequests.code` (string, required)
    Unique 4-letter code for the service request.
    Example: WCHC

  - `specialServiceRequests.category` (object, required)
    Details about the category of the Special Service Request (SSR).

  - `specialServiceRequests.category.type` (string)
    Enum of supported category types.
    Enum: "BASSINET", "SPECIAL_ASSISTANCE_WHEELCHAIR", "BAGGAGE", "UNACCOMPANIED_MINOR", "PETS", "MEET_AND_ASSIST", "OTHERS", "MEAL", "SPECIAL_ASSISTANCE_DISABILITY"

  - `specialServiceRequests.category.description` (string)
    Category description.
    Example: Special Assistance - Wheelchair

  - `specialServiceRequests.subCategory` (string, required)
    The type of Special Service Request (SSR).
    Example: Wheelchair with wet cell battery.

  - `specialServiceRequests.isFreeTextMandatory` (boolean)
    Indicates if free text input is mandatory for the Special Service Request (SSR).
    Example: true

  - `specialServiceRequests.isFreeTextAllowed` (boolean)
    Indicates whether adding free text is supported.
SSRs that support free text will allow you to add additional information about the service request.
    Example: true

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

